> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baselayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Tin Verifications

> List all Federations that the authenticated actor has access to.



## OpenAPI

````yaml /api-reference/openapi.json get /tin_verifications
openapi: 3.1.0
info:
  title: baselayer-api-service
  version: 0.1.0
servers:
  - url: https://api.baselayer.com/
security: []
paths:
  /tin_verifications:
    get:
      tags:
        - TIN Verification
      summary: List Tin Verifications
      description: List all Federations that the authenticated actor has access to.
      operationId: list_tin_verifications_tin_verifications_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 10
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
        - name: q
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: q
            description: >-
              A search query to limit the TIN Verifications returned by matching
              on ID, name, or external ID.
            examples:
              - Acme, Inc.
              - Baselayer
              - The Avengers
          description: >-
            A search query to limit the TIN Verifications returned by matching
            on ID, name, or external ID.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/v1.TINVerificationResponse'
                title: Response List Tin Verifications Tin Verifications Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    v1.TINVerificationResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: The unique identifier of the TIN verification request.
          examples:
            - f5067592-dbb8-4405-a557-6d5056514cae
        state:
          $ref: '#/components/schemas/TaskState'
          description: The status of the TIN verification request.
          examples:
            - COMPLETED
        name:
          type: string
          title: Name
          description: The name inputted in the search.
          examples:
            - Acme Corporation
        tin:
          type: string
          maxLength: 9
          minLength: 9
          title: Tin
          description: The TIN inputted in the search.
          examples:
            - '123456789'
        address:
          anyOf:
            - type: string
              maxLength: 500
            - type: 'null'
          title: Address
          description: The address inputted in the search.
          examples:
            - 123 Main St, Anytown, USA
        tin_matched:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Tin Matched
          description: Indicates whether the inputted TIN/EIN was a match, per the IRS.
          examples:
            - true
        warnings:
          items:
            type: string
          type: array
          title: Warnings
          description: Any warnings that occurred.
          default: []
          examples:
            - - IRS Validation is unavailable.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The date and time when the TIN verification request was created.
          examples:
            - '2026-08-31T10:31:07.816900'
        tin_match_type:
          anyOf:
            - $ref: '#/components/schemas/IRSTINMatchType'
            - type: 'null'
          description: The type of match that occurred.
          examples:
            - SSN
      type: object
      required:
        - id
        - state
        - name
        - tin
        - created_at
      title: TINVerificationResponse (v1)
      description: |-
        Response model for TIN verification data.

        This model defines the structure for TIN verification API responses.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TaskState:
      enum:
        - PENDING
        - EXECUTING
        - COMPLETED
        - FAILED
        - CANCELLED
      title: TaskState
      type: string
    IRSTINMatchType:
      enum:
        - SSN
        - EIN
        - UNKNOWN
      title: IRSTINMatchType
      type: string
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````